dcsimg
How to configure JBuilder4 with JDK 1.3.1 ?
1 posts in topic
Flat View  Flat View
TOPIC ACTIONS:
 

Posted By:   Luigi_Viggiano
Posted On:   Sunday, May 20, 2001 03:57 PM

How to configure JBuilder4 with JDK 1.3.1 ?

Re: How to configure JBuilder4 with JDK 1.3.1 ?

Posted By:   Luigi_Viggiano  
Posted On:   Sunday, May 20, 2001 03:59 PM

It can be done in two steps:


  1. Configure JBuilder 4 to use JDK 1.3.1 for running IDE
  2. Configure the JDK 1.3.1 for running projects.


In this example I suppose that JBuilder Home is D:JBuilder4 and Java Home is D:jdk1.3.1, you may adapt those steps to match your system configuration.


  1. Configure JBuilder 4 to use JDK 1.3.1 for running IDE

    Edit D:JBuilder4injdk.config and specify new values for javapath and addpath as following:

    # Use the embedded JDK provided with JBuilder Foundation
    # and override the default heap growth / shrinkage rates
    #javapath ../jdk1.3/bin/java
    javapath D:/jdk1.3.1/bin/java

    vmparam -Xminf0.2
    vmparam -Xmaxf0.2

    # Add the "tools" JAR to the path since the JDK doesn't
    # do so automatically
    #addpath ../jdk1.3/lib/tools.jar
    addpath D:/jdk1.3.1/lib/tools.jar



    That's all, now you should be able to start-up JBuilder4 with new JDK 1.3.1.




  2. Configure the JDK 1.3.1 for running projects.

    Start JBuilder4 clicking on JBuilder icon and when JBuilder is ready, from menu Tools choice Configure JDKs.... The dialog Configure JDKs will be shown; click on New... to open the New JDK Wizard.

    Click on button [...] next to Existing JDK home path and select D:jdk1.3.1 as your new jdk home path. JBuilder will check everything inside this path and accept it completing Name for this JDK field, and filling needed configuration for classes, docs, etc... Live left User Home as Location to store JDK specification and click on OK to close the New JDK Wizard and accept settings.

    Click on OK again to close the Configure JDKs dialog.



    Everything is done.


To run your projects using JDK 1.3.1, from Project menu choise Project Properties..., click on Paths tab, and select java 1.3.1-b24 as JDK to be used to run your code.

About | Sitemap | Contact